require 'fastlane_core/ui/ui'

module Fastlane
  module Helper
    class AndroidCdHelper
      def self.decrypt_android_keys(android_directory)
        # Define the GPG command with options
        gpg_command = "gpg --quiet --batch --yes --decrypt --passphrase=#{ENV['ANDROID_KEYS_SECRET_PASSPHRASE']} \
          --output #{android_directory}/android_keys.zip #{android_directory}/android_keys.zip.gpg"

        # Execute the GPG command using system
        system(gpg_command)

        # Check if the command executed successfully
        if $?.success?

          # Move the extracted files to the current directory
          `jar xvf #{android_directory} && mv #{android_directory}/android_keys/* #{android_directory}`
        else
          UI.user_error("❌ Erreur lors de la décompression du fichier GPG")
        end
      end

      # Check if a parameter is set or not
      def self.is_set(variable)
        str_variable = variable
        str_variable = variable.strip if variable.class.to_s == "String"
        variable && !(str_variable.nil? || str_variable.empty?)
      end
    end
  end
end
